Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
sha1init.c File Reference
`#include "digest.h"`
`#include "sha1.h"`
Include dependency graph for sha1init.c:

Go to the source code of this file.

## Functions
void | Init_sha1 ()

## Variables
static const rb_digest_metadata_t | sha1

## Function Documentation

void Init_sha1 | ( |  | ) |

Definition at line 27 of file sha1init.c.

References Data_Wrap_Struct(), rb_cObject, rb_define_class_under(), rb_define_module(), rb_intern, rb_ivar_set(), rb_path2class(), and rb_require().

## Variable Documentation

const rb_digest_metadata_t sha1
| static

Initial value:
= {
RUBY_DIGEST_API_VERSION,
SHA1_DIGEST_LENGTH,
SHA1_BLOCK_LENGTH,
sizeof(SHA1_CTX),
(rb_digest_hash_init_func_t)SHA1_Init,
(rb_digest_hash_update_func_t)SHA1_Update,
(rb_digest_hash_finish_func_t)SHA1_Finish,
}
SHA1_DIGEST_LENGTH
#define SHA1_DIGEST_LENGTH
Definition: sha1.h:36
SHA1_CTX
#define SHA1_CTX
Definition: sha1ossl.h:9
SHA1_Init
void SHA1_Init(SHA1_CTX *context)
Definition: sha1.c:202
SHA1_BLOCK_LENGTH
#define SHA1_BLOCK_LENGTH
Definition: sha1.h:35
RUBY_DIGEST_API_VERSION
#define RUBY_DIGEST_API_VERSION
Definition: digest.h:18
rb_digest_hash_finish_func_t
void(* rb_digest_hash_finish_func_t)(void *, unsigned char *)
Definition: digest.h:22
rb_digest_hash_update_func_t
void(* rb_digest_hash_update_func_t)(void *, unsigned char *, size_t)
Definition: digest.h:21
SHA1_Finish
void SHA1_Finish(SHA1_CTX *context, uint8_t digest[20])
Definition: sha1.c:247
SHA1_Update
void SHA1_Update(SHA1_CTX *context, const uint8_t *data, size_t len)
Definition: sha1.c:220
rb_digest_hash_init_func_t
void(* rb_digest_hash_init_func_t)(void *)
Definition: digest.h:20

Definition at line 11 of file sha1init.c.